
TYPO3.Flow - Bug # 6694

Status: Resolved Priority: Could have
Author: Thomas Fritz Category: Core
Created: 2010-03-04 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: flow3 shell script uses non POSIX commands
Description

On line 36 (rev3903):

FLOW3ROOTPATH="$(dirname "$(test -L "$0" && readlink "$0" || echo "$0")")" 

readlink is not POSIX compliant. So there is no guarantee that the shell script works on every Unixoid OS - for instance MAC, there is
no readlink.

A working solution for the above problem would be:

#!/bin/bash
# Path the script is called from.
FLOW3_ORIGINALPATH="$(pwd)" 
cd "$(dirname $0)" 
FLOW3_ROOTPATH="$(pwd)" 
cd "${FLOW3_ORIGINALPATH}" 

Associated revisions
Revision 06a00c44 - 2010-03-05 22:48 - Karsten Dambekalns

[+FEATURE] FLOW3 (Core): Made the flow3 shell script configurable regarding PHP binary, context and paths used through Configuration/flow3.sh.
Resolves #6681. T3BOARD10 Bug Auction.
[+BUGFIX] FLOW3 (Core): Two compliance fixes to flow3.sh, fixes #6693, fixes #6694. T3BOARD10 Bug Auction bonus fixes. :)

History
#1 - 2010-03-05 18:09 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Priority changed from Must have to Could have

Well, my Snow Leopard has /usr/bin/readlink...

#2 - 2010-03-05 22:46 - Karsten Dambekalns

2015-08-03 1/2



- Tracker changed from Task to Bug

#3 - 2010-03-05 22:50 - Karsten Dambekalns
- Category changed from Environment to Core
- Target version set to 1.0 alpha 8

#4 - 2010-03-06 12:32 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

As of r3916:
[+FEATURE] FLOW3 (Core): Made the flow3 shell script configurable regarding PHP binary, context and paths used through Configuration/flow3.sh.
Resolves #6681. T3BOARD10 Bug Auction.
[+BUGFIX] FLOW3 (Core): Two compliance fixes to flow3.sh, fixes #6693, fixes #6694. T3BOARD10 Bug Auction bonus fixes. :)
